Skip to main content
DELETE
/
v1
/
webhook_endpoints
/
{id}
Delete a webhook endpoint
curl --request DELETE \
  --url https://api.yorlet.com/v1/webhook_endpoints/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "webhook_endpoint",
  "connected_accounts": true,
  "description": "<string>",
  "enabled_events": [
    "<string>"
  ],
  "url": "<string>",
  "account": "<string>",
  "deleted": false,
  "metadata": {},
  "signing_secret": "<string>"
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns an object with a deleted parameter on success. If the webhook endpoint ID does not exist, this call throws an error.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
webhook_endpoint
connected_accounts
boolean
required

Whether the webhook endpoint is for connected account events.

description
string | null
required

An arbitrary string attached to the object. Often useful for displaying to users.

enabled_events
string[]
required

The events this endpoint will receive.

status
enum<string>
required

The status of the webhook endpoint.

Available options:
enabled,
disabled
url
string
required

The URL of the webhook endpoint.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

signing_secret
string

The secret used to sign webhook payloads sent to this endpoint.